## org.eclipse.m2m.atl.profiler.model
Interface ModelPackage

All Superinterfaces:
  org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.ENamedElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.EPackage, org.eclipse.emf.common.notify.Notifier

All Known Implementing Classes:
  ModelPackageImpl

    public interface ModelPackage

extends org.eclipse.emf.ecore.EPackage

The Package for the model. It contains accessors for the meta objects to represent

- each class,
- each feature of each class,
- each enum,
- and each data type

See Also:
  `ModelFactory`

Nested Class Summary
`static interface` `ModelPackage.Literals` Defines literals for the meta objects that represent each class, each feature of each class, each enum, and each data type

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.EPackage
`org.eclipse.emf.ecore.EPackage.Descriptor, org.eclipse.emf.ecore.EPackage.Registry`

Field Summary
`static int` `ATL_INSTRUCTION` The meta object id for the '`ATL Instruction`' class
`static int` `ATL_INSTRUCTION__ATL_ELEMENT_REF` The feature id for the 'ATL Element Ref' attribute
`static int` `ATL_INSTRUCTION__NAME` The feature id for the 'Name' attribute
`static int` `ATL_INSTRUCTION__PROFILING_INSTRUCTIONS` The feature id for the 'Profiling Instructions' reference list
`static int` `ATL_INSTRUCTION_FEATURE_COUNT` The number of structural features of the 'ATL Instruction' class
`static int` `ATL_OPERATION` The meta object id for the '`ATL Operation`' class
`static int` `ATL_OPERATION__ATL_ELEMENT_REF` The feature id for the 'ATL Element Ref' attribute
`static int` `ATL_OPERATION__CALLS` The feature id for the 'Calls' attribute
`static int` `ATL_OPERATION__NAME` The feature id for the 'Name' attribute
`static int` `ATL_OPERATION__PROFILING_INSTRUCTIONS` The feature id for the 'Profiling Instructions' reference list
`static int` `ATL_OPERATION_FEATURE_COUNT` The number of structural features of the 'ATL Operation' class
`static int` `CONTEXT` The meta object id for the '`Context`' class
`static int` `CONTEXT__CONTENT` The feature id for the 'Content' attribute
`static int` `CONTEXT_FEATURE_COUNT` The number of structural features of the 'Context' class
`static ModelPackage` `eINSTANCE` The singleton instance of the package
`static java.lang.String` `eNAME` The package name
`static java.lang.String` `eNS_PREFIX` The package namespace name
`static java.lang.String` `eNS_URI` The package namespace URI
`static int` `EXECUTION_ERROR` The meta object id for the '`Execution Error`' class
`static int` `EXECUTION_ERROR__ERROR` The feature id for the 'Error' attribute
`static int` `EXECUTION_ERROR__FRAMES` The feature id for the 'Frames' attribute
`static int` `EXECUTION_ERROR__MESSAGE` The feature id for the 'Message' attribute
`static int` `EXECUTION_ERROR_FEATURE_COUNT` The number of structural features of the 'Execution Error' class
`static int` `PROFILING_INSTRUCTION` The meta object id for the '`Profiling Instruction`' class
`static int` `PROFILING_INSTRUCTION__ATL_INSTRUCTION` The feature id for the 'Atl Instruction' reference
`static int` `PROFILING_INSTRUCTION__CONTENT` The feature id for the 'Content' attribute
`static int` `PROFILING_INSTRUCTION__HAS_ERROR` The feature id for the 'Has Error' attribute
`static int` `PROFILING_INSTRUCTION__INSTRUCTION_ID` The feature id for the 'Instruction ID' attribute
`static int` `PROFILING_INSTRUCTION__LAUNCHED_MEMORY_USAGE` The feature id for the 'Launched Memory Usage' attribute
`static int` `PROFILING_INSTRUCTION__LAUNCHED_TIME` The feature id for the 'Launched Time' attribute
`static int` `PROFILING_INSTRUCTION__PARENT_OPERATION` The feature id for the 'Parent Operation' reference
`static int` `PROFILING_INSTRUCTION__STACK_FRAMES` The feature id for the 'Stack Frames' attribute list
`static int` `PROFILING_INSTRUCTION_FEATURE_COUNT` The number of structural features of the 'Profiling Instruction' class
`static int` `PROFILING_MODEL` The meta object id for the '`Profiling Model`' class
`static int` `PROFILING_MODEL__ATL_INSTRUCTION` The feature id for the 'Atl Instruction' reference
`static int` `PROFILING_MODEL__CONTENT` The feature id for the 'Content' attribute
`static int` `PROFILING_MODEL__CONTEXT` The feature id for the 'Context' containment reference list
`static int` `PROFILING_MODEL__END_MEMORY_USAGE` The feature id for the 'End Memory Usage' attribute
`static int` `PROFILING_MODEL__END_TIME` The feature id for the 'End Time' attribute
`static int` `PROFILING_MODEL__EXECUTION_ERRORS` The feature id for the 'Execution Errors' containment reference list
`static int` `PROFILING_MODEL__EXECUTION_INSTRUCTIONS` The feature id for the 'Execution Instructions' containment reference list
`static int` `PROFILING_MODEL__HAS_ERROR` The feature id for the 'Has Error' attribute
`static int` `PROFILING_MODEL__INSTRUCTION_ID` The feature id for the 'Instruction ID' attribute
`static int` `PROFILING_MODEL__LAUNCHED_MEMORY_USAGE` The feature id for the 'Launched Memory Usage' attribute
`static int` `PROFILING_MODEL__LAUNCHED_TIME` The feature id for the 'Launched Time' attribute
`static int` `PROFILING_MODEL__MATCHING_OPERATION` The feature id for the 'Matching Operation' attribute
`static int` `PROFILING_MODEL__MAX_MEMORY_USAGE` The feature id for the 'Max Memory Usage' attribute
`static int` `PROFILING_MODEL__MODEL_NAME` The feature id for the 'Model Name' attribute
`static int` `PROFILING_MODEL__PARENT_OPERATION` The feature id for the 'Parent Operation' reference
`static int` `PROFILING_MODEL__STACK_FRAMES` The feature id for the 'Stack Frames' attribute list
`static int` `PROFILING_MODEL__TOTAL_EXECUTED_INSTRUCTIONS` The feature id for the 'Total Executed Instructions' attribute
`static int` `PROFILING_MODEL_FEATURE_COUNT` The number of structural features of the 'Profiling Model' class
`static int` `PROFILING_OPERATION` The meta object id for the '`Profiling Operation`' class
`static int` `PROFILING_OPERATION__ATL_INSTRUCTION` The feature id for the 'Atl Instruction' reference
`static int` `PROFILING_OPERATION__CONTENT` The feature id for the 'Content' attribute
`static int` `PROFILING_OPERATION__CONTEXT` The feature id for the 'Context' containment reference list
`static int` `PROFILING_OPERATION__END_MEMORY_USAGE` The feature id for the 'End Memory Usage' attribute
`static int` `PROFILING_OPERATION__END_TIME` The feature id for the 'End Time' attribute
`static int` `PROFILING_OPERATION__EXECUTION_ERRORS` The feature id for the 'Execution Errors' containment reference list
`static int` `PROFILING_OPERATION__EXECUTION_INSTRUCTIONS` The feature id for the 'Execution Instructions' containment reference list
`static int` `PROFILING_OPERATION__HAS_ERROR` The feature id for the 'Has Error' attribute
`static int` `PROFILING_OPERATION__INSTRUCTION_ID` The feature id for the 'Instruction ID' attribute
`static int` `PROFILING_OPERATION__LAUNCHED_MEMORY_USAGE` The feature id for the 'Launched Memory Usage' attribute
`static int` `PROFILING_OPERATION__LAUNCHED_TIME` The feature id for the 'Launched Time' attribute
`static int` `PROFILING_OPERATION__MATCHING_OPERATION` The feature id for the 'Matching Operation' attribute
`static int` `PROFILING_OPERATION__MAX_MEMORY_USAGE` The feature id for the 'Max Memory Usage' attribute
`static int` `PROFILING_OPERATION__PARENT_OPERATION` The feature id for the 'Parent Operation' reference
`static int` `PROFILING_OPERATION__STACK_FRAMES` The feature id for the 'Stack Frames' attribute list
`static int` `PROFILING_OPERATION__TOTAL_EXECUTED_INSTRUCTIONS` The feature id for the 'Total Executed Instructions' attribute
`static int` `PROFILING_OPERATION_FEATURE_COUNT` The number of structural features of the 'Profiling Operation' class

Method Summary
`org.eclipse.emf.ecore.EAttribute` `getATLInstruction_ATLElementRef()` Returns the meta object for the attribute '`ATL Element Ref`'
`org.eclipse.emf.ecore.EAttribute` `getATLInstruction_Name()` Returns the meta object for the attribute '`Name`'
`org.eclipse.emf.ecore.EReference` `getATLInstruction_ProfilingInstructions()` Returns the meta object for the reference list '`Profiling Instructions`'
`org.eclipse.emf.ecore.EClass` `getATLInstruction()` Returns the meta object for class '`ATL Instruction`'
`org.eclipse.emf.ecore.EAttribute` `getATLOperation_Calls()` Returns the meta object for the attribute '`Calls`'
`org.eclipse.emf.ecore.EClass` `getATLOperation()` Returns the meta object for class '`ATL Operation`'
`org.eclipse.emf.ecore.EAttribute` `getContext_Content()` Returns the meta object for the attribute '`Content`'
`org.eclipse.emf.ecore.EClass` `getContext()` Returns the meta object for class '`Context`'
`org.eclipse.emf.ecore.EAttribute` `getExecutionError_Error()` Returns the meta object for the attribute '`Error`'
`org.eclipse.emf.ecore.EAttribute` `getExecutionError_Frames()` Returns the meta object for the attribute '`Frames`'
`org.eclipse.emf.ecore.EAttribute` `getExecutionError_Message()` Returns the meta object for the attribute '`Message`'
`org.eclipse.emf.ecore.EClass` `getExecutionError()` Returns the meta object for class '`Execution Error`'
`ModelFactory` `getModelFactory()` Returns the factory that creates the instances of the model
`org.eclipse.emf.ecore.EReference` `getProfilingInstruction_AtlInstruction()` Returns the meta object for the reference '`Atl Instruction`'
`org.eclipse.emf.ecore.EAttribute` `getProfilingInstruction_Content()` Returns the meta object for the attribute '`Content`'
`org.eclipse.emf.ecore.EAttribute` `getProfilingInstruction_HasError()` Returns the meta object for the attribute '`Has Error`'
`org.eclipse.emf.ecore.EAttribute` `getProfilingInstruction_InstructionID()` Returns the meta object for the attribute '`Instruction ID`'
`org.eclipse.emf.ecore.EAttribute` `getProfilingInstruction_LaunchedMemoryUsage()` Returns the meta object for the attribute '`Launched Memory Usage`'
`org.eclipse.emf.ecore.EAttribute` `getProfilingInstruction_LaunchedTime()` Returns the meta object for the attribute '`Launched Time`'
`org.eclipse.emf.ecore.EReference` `getProfilingInstruction_ParentOperation()` Returns the meta object for the reference '`Parent Operation`'
`org.eclipse.emf.ecore.EAttribute` `getProfilingInstruction_StackFrames()` Returns the meta object for the attribute list '`Stack Frames`'
`org.eclipse.emf.ecore.EClass` `getProfilingInstruction()` Returns the meta object for class '`Profiling Instruction`'
`org.eclipse.emf.ecore.EAttribute` `getProfilingModel_ModelName()` Returns the meta object for the attribute '`Model Name`'
`org.eclipse.emf.ecore.EClass` `getProfilingModel()` Returns the meta object for class '`Profiling Model`'
`org.eclipse.emf.ecore.EReference` `getProfilingOperation_Context()` Returns the meta object for the containment reference list '`Context`'
`org.eclipse.emf.ecore.EAttribute` `getProfilingOperation_EndMemoryUsage()` Returns the meta object for the attribute '`End Memory Usage`'
`org.eclipse.emf.ecore.EAttribute` `getProfilingOperation_EndTime()` Returns the meta object for the attribute '`End Time`'
`org.eclipse.emf.ecore.EReference` `getProfilingOperation_ExecutionErrors()` Returns the meta object for the containment reference list '`Execution Errors`'
`org.eclipse.emf.ecore.EReference` `getProfilingOperation_ExecutionInstructions()` Returns the meta object for the containment reference list '`Execution Instructions`'
`org.eclipse.emf.ecore.EAttribute` `getProfilingOperation_MatchingOperation()` Returns the meta object for the attribute '`Matching Operation`'
`org.eclipse.emf.ecore.EAttribute` `getProfilingOperation_MaxMemoryUsage()` Returns the meta object for the attribute '`Max Memory Usage`'
`org.eclipse.emf.ecore.EAttribute` `getProfilingOperation_TotalExecutedInstructions()` Returns the meta object for the attribute '`Total Executed Instructions`'
`org.eclipse.emf.ecore.EClass` `getProfilingOperation()` Returns the meta object for class '`Profiling Operation`'

Methods inherited from interface org.eclipse.emf.ecore.EPackage
`getEClassifier, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getNsPrefix, getNsURI, setEFactoryInstance, setNsPrefix, setNsURI`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Field Detail

### eNAME

    static final java.lang.String eNAME

  The package name.

  See Also:
    Constant Field Values

### eNS_URI

    static final java.lang.String eNS_URI

  The package namespace URI.

  See Also:
    Constant Field Values

### eNS_PREFIX

    static final java.lang.String eNS_PREFIX

  The package namespace name.

  See Also:
    Constant Field Values

### eINSTANCE

    static final ModelPackage eINSTANCE

  The singleton instance of the package.

### PROFILING_INSTRUCTION

    static final int PROFILING_INSTRUCTION

  The meta object id for the '`Profiling Instruction`' class.

  See Also:
    `ProfilingInstructionImpl`, `ModelPackageImpl.getProfilingInstruction()`, Constant Field Values

### PROFILING_INSTRUCTION__LAUNCHED_TIME

    static final int PROFILING_INSTRUCTION__LAUNCHED_TIME

  The feature id for the 'Launched Time' attribute.

  See Also:
    Constant Field Values

### PROFILING_INSTRUCTION__STACK_FRAMES

    static final int PROFILING_INSTRUCTION__STACK_FRAMES

  The feature id for the 'Stack Frames' attribute list.

  See Also:
    Constant Field Values

### PROFILING_INSTRUCTION__PARENT_OPERATION

    static final int PROFILING_INSTRUCTION__PARENT_OPERATION

  The feature id for the 'Parent Operation' reference.

  See Also:
    Constant Field Values

### PROFILING_INSTRUCTION__INSTRUCTION_ID

    static final int PROFILING_INSTRUCTION__INSTRUCTION_ID

  The feature id for the 'Instruction ID' attribute.

  See Also:
    Constant Field Values

### PROFILING_INSTRUCTION__ATL_INSTRUCTION

    static final int PROFILING_INSTRUCTION__ATL_INSTRUCTION

  The feature id for the 'Atl Instruction' reference.

  See Also:
    Constant Field Values

### PROFILING_INSTRUCTION__CONTENT

    static final int PROFILING_INSTRUCTION__CONTENT

  The feature id for the 'Content' attribute.

  See Also:
    Constant Field Values

### PROFILING_INSTRUCTION__LAUNCHED_MEMORY_USAGE

    static final int PROFILING_INSTRUCTION__LAUNCHED_MEMORY_USAGE

  The feature id for the 'Launched Memory Usage' attribute.

  See Also:
    Constant Field Values

### PROFILING_INSTRUCTION__HAS_ERROR

    static final int PROFILING_INSTRUCTION__HAS_ERROR

  The feature id for the 'Has Error' attribute.

  See Also:
    Constant Field Values

### PROFILING_INSTRUCTION_FEATURE_COUNT

    static final int PROFILING_INSTRUCTION_FEATURE_COUNT

  The number of structural features of the 'Profiling Instruction' class.

  See Also:
    Constant Field Values

### PROFILING_OPERATION

    static final int PROFILING_OPERATION

  The meta object id for the '`Profiling Operation`' class.

  See Also:
    `ProfilingOperationImpl`, `ModelPackageImpl.getProfilingOperation()`, Constant Field Values

### PROFILING_OPERATION__LAUNCHED_TIME

    static final int PROFILING_OPERATION__LAUNCHED_TIME

  The feature id for the 'Launched Time' attribute.

  See Also:
    Constant Field Values

### PROFILING_OPERATION__STACK_FRAMES

    static final int PROFILING_OPERATION__STACK_FRAMES

  The feature id for the 'Stack Frames' attribute list.

  See Also:
    Constant Field Values

### PROFILING_OPERATION__PARENT_OPERATION

    static final int PROFILING_OPERATION__PARENT_OPERATION

  The feature id for the 'Parent Operation' reference.

  See Also:
    Constant Field Values

### PROFILING_OPERATION__INSTRUCTION_ID

    static final int PROFILING_OPERATION__INSTRUCTION_ID

  The feature id for the 'Instruction ID' attribute.

  See Also:
    Constant Field Values

### PROFILING_OPERATION__ATL_INSTRUCTION

    static final int PROFILING_OPERATION__ATL_INSTRUCTION

  The feature id for the 'Atl Instruction' reference.

  See Also:
    Constant Field Values

### PROFILING_OPERATION__CONTENT

    static final int PROFILING_OPERATION__CONTENT

  The feature id for the 'Content' attribute.

  See Also:
    Constant Field Values

### PROFILING_OPERATION__LAUNCHED_MEMORY_USAGE

    static final int PROFILING_OPERATION__LAUNCHED_MEMORY_USAGE

  The feature id for the 'Launched Memory Usage' attribute.

  See Also:
    Constant Field Values

### PROFILING_OPERATION__HAS_ERROR

    static final int PROFILING_OPERATION__HAS_ERROR

  The feature id for the 'Has Error' attribute.

  See Also:
    Constant Field Values

### PROFILING_OPERATION__END_TIME

    static final int PROFILING_OPERATION__END_TIME

  The feature id for the 'End Time' attribute.

  See Also:
    Constant Field Values

### PROFILING_OPERATION__TOTAL_EXECUTED_INSTRUCTIONS

    static final int PROFILING_OPERATION__TOTAL_EXECUTED_INSTRUCTIONS

  The feature id for the 'Total Executed Instructions' attribute.

  See Also:
    Constant Field Values

### PROFILING_OPERATION__EXECUTION_INSTRUCTIONS

    static final int PROFILING_OPERATION__EXECUTION_INSTRUCTIONS

  The feature id for the 'Execution Instructions' containment reference list.

  See Also:
    Constant Field Values

### PROFILING_OPERATION__END_MEMORY_USAGE

    static final int PROFILING_OPERATION__END_MEMORY_USAGE

  The feature id for the 'End Memory Usage' attribute.

  See Also:
    Constant Field Values

### PROFILING_OPERATION__CONTEXT

    static final int PROFILING_OPERATION__CONTEXT

  The feature id for the 'Context' containment reference list.

  See Also:
    Constant Field Values

### PROFILING_OPERATION__MAX_MEMORY_USAGE

    static final int PROFILING_OPERATION__MAX_MEMORY_USAGE

  The feature id for the 'Max Memory Usage' attribute.

  See Also:
    Constant Field Values

### PROFILING_OPERATION__MATCHING_OPERATION

    static final int PROFILING_OPERATION__MATCHING_OPERATION

  The feature id for the 'Matching Operation' attribute.

  See Also:
    Constant Field Values

### PROFILING_OPERATION__EXECUTION_ERRORS

    static final int PROFILING_OPERATION__EXECUTION_ERRORS

  The feature id for the 'Execution Errors' containment reference list.

  See Also:
    Constant Field Values

### PROFILING_OPERATION_FEATURE_COUNT

    static final int PROFILING_OPERATION_FEATURE_COUNT

  The number of structural features of the 'Profiling Operation' class.

  See Also:
    Constant Field Values

### PROFILING_MODEL

    static final int PROFILING_MODEL

  The meta object id for the '`Profiling Model`' class.

  See Also:
    `ProfilingModelImpl`, `ModelPackageImpl.getProfilingModel()`, Constant Field Values

### PROFILING_MODEL__LAUNCHED_TIME

    static final int PROFILING_MODEL__LAUNCHED_TIME

  The feature id for the 'Launched Time' attribute.

  See Also:
    Constant Field Values

### PROFILING_MODEL__STACK_FRAMES

    static final int PROFILING_MODEL__STACK_FRAMES

  The feature id for the 'Stack Frames' attribute list.

  See Also:
    Constant Field Values

### PROFILING_MODEL__PARENT_OPERATION

    static final int PROFILING_MODEL__PARENT_OPERATION

  The feature id for the 'Parent Operation' reference.

  See Also:
    Constant Field Values

### PROFILING_MODEL__INSTRUCTION_ID

    static final int PROFILING_MODEL__INSTRUCTION_ID

  The feature id for the 'Instruction ID' attribute.

  See Also:
    Constant Field Values

### PROFILING_MODEL__ATL_INSTRUCTION

    static final int PROFILING_MODEL__ATL_INSTRUCTION

  The feature id for the 'Atl Instruction' reference.

  See Also:
    Constant Field Values

### PROFILING_MODEL__CONTENT

    static final int PROFILING_MODEL__CONTENT

  The feature id for the 'Content' attribute.

  See Also:
    Constant Field Values

### PROFILING_MODEL__LAUNCHED_MEMORY_USAGE

    static final int PROFILING_MODEL__LAUNCHED_MEMORY_USAGE

  The feature id for the 'Launched Memory Usage' attribute.

  See Also:
    Constant Field Values

### PROFILING_MODEL__HAS_ERROR

    static final int PROFILING_MODEL__HAS_ERROR

  The feature id for the 'Has Error' attribute.

  See Also:
    Constant Field Values

### PROFILING_MODEL__END_TIME

    static final int PROFILING_MODEL__END_TIME

  The feature id for the 'End Time' attribute.

  See Also:
    Constant Field Values

### PROFILING_MODEL__TOTAL_EXECUTED_INSTRUCTIONS

    static final int PROFILING_MODEL__TOTAL_EXECUTED_INSTRUCTIONS

  The feature id for the 'Total Executed Instructions' attribute.

  See Also:
    Constant Field Values

### PROFILING_MODEL__EXECUTION_INSTRUCTIONS

    static final int PROFILING_MODEL__EXECUTION_INSTRUCTIONS

  The feature id for the 'Execution Instructions' containment reference list.

  See Also:
    Constant Field Values

### PROFILING_MODEL__END_MEMORY_USAGE

    static final int PROFILING_MODEL__END_MEMORY_USAGE

  The feature id for the 'End Memory Usage' attribute.

  See Also:
    Constant Field Values

### PROFILING_MODEL__CONTEXT

    static final int PROFILING_MODEL__CONTEXT

  The feature id for the 'Context' containment reference list.

  See Also:
    Constant Field Values

### PROFILING_MODEL__MAX_MEMORY_USAGE

    static final int PROFILING_MODEL__MAX_MEMORY_USAGE

  The feature id for the 'Max Memory Usage' attribute.

  See Also:
    Constant Field Values

### PROFILING_MODEL__MATCHING_OPERATION

    static final int PROFILING_MODEL__MATCHING_OPERATION

  The feature id for the 'Matching Operation' attribute.

  See Also:
    Constant Field Values

### PROFILING_MODEL__EXECUTION_ERRORS

    static final int PROFILING_MODEL__EXECUTION_ERRORS

  The feature id for the 'Execution Errors' containment reference list.

  See Also:
    Constant Field Values

### PROFILING_MODEL__MODEL_NAME

    static final int PROFILING_MODEL__MODEL_NAME

  The feature id for the 'Model Name' attribute.

  See Also:
    Constant Field Values

### PROFILING_MODEL_FEATURE_COUNT

    static final int PROFILING_MODEL_FEATURE_COUNT

  The number of structural features of the 'Profiling Model' class.

  See Also:
    Constant Field Values

### ATL_INSTRUCTION

    static final int ATL_INSTRUCTION

  The meta object id for the '`ATL Instruction`' class.

  See Also:
    `ATLInstructionImpl`, `ModelPackageImpl.getATLInstruction()`, Constant Field Values

### ATL_INSTRUCTION__ATL_ELEMENT_REF

    static final int ATL_INSTRUCTION__ATL_ELEMENT_REF

  The feature id for the 'ATL Element Ref' attribute.

  See Also:
    Constant Field Values

### ATL_INSTRUCTION__NAME

    static final int ATL_INSTRUCTION__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values

### ATL_INSTRUCTION__PROFILING_INSTRUCTIONS

    static final int ATL_INSTRUCTION__PROFILING_INSTRUCTIONS

  The feature id for the 'Profiling Instructions' reference list.

  See Also:
    Constant Field Values

### ATL_INSTRUCTION_FEATURE_COUNT

    static final int ATL_INSTRUCTION_FEATURE_COUNT

  The number of structural features of the 'ATL Instruction' class.

  See Also:
    Constant Field Values

### ATL_OPERATION

    static final int ATL_OPERATION

  The meta object id for the '`ATL Operation`' class.

  See Also:
    `ATLOperationImpl`, `ModelPackageImpl.getATLOperation()`, Constant Field Values

### ATL_OPERATION__ATL_ELEMENT_REF

    static final int ATL_OPERATION__ATL_ELEMENT_REF

  The feature id for the 'ATL Element Ref' attribute.

  See Also:
    Constant Field Values

### ATL_OPERATION__NAME

    static final int ATL_OPERATION__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values

### ATL_OPERATION__PROFILING_INSTRUCTIONS

    static final int ATL_OPERATION__PROFILING_INSTRUCTIONS

  The feature id for the 'Profiling Instructions' reference list.

  See Also:
    Constant Field Values

### ATL_OPERATION__CALLS

    static final int ATL_OPERATION__CALLS

  The feature id for the 'Calls' attribute.

  See Also:
    Constant Field Values

### ATL_OPERATION_FEATURE_COUNT

    static final int ATL_OPERATION_FEATURE_COUNT

  The number of structural features of the 'ATL Operation' class.

  See Also:
    Constant Field Values

### CONTEXT

    static final int CONTEXT

  The meta object id for the '`Context`' class.

  See Also:
    `ContextImpl`, `ModelPackageImpl.getContext()`, Constant Field Values

### CONTEXT__CONTENT

    static final int CONTEXT__CONTENT

  The feature id for the 'Content' attribute.

  See Also:
    Constant Field Values

### CONTEXT_FEATURE_COUNT

    static final int CONTEXT_FEATURE_COUNT

  The number of structural features of the 'Context' class.

  See Also:
    Constant Field Values

### EXECUTION_ERROR

    static final int EXECUTION_ERROR

  The meta object id for the '`Execution Error`' class.

  See Also:
    `ExecutionErrorImpl`, `ModelPackageImpl.getExecutionError()`, Constant Field Values

### EXECUTION_ERROR__MESSAGE

    static final int EXECUTION_ERROR__MESSAGE

  The feature id for the 'Message' attribute.

  See Also:
    Constant Field Values

### EXECUTION_ERROR__ERROR

    static final int EXECUTION_ERROR__ERROR

  The feature id for the 'Error' attribute.

  See Also:
    Constant Field Values

### EXECUTION_ERROR__FRAMES

    static final int EXECUTION_ERROR__FRAMES

  The feature id for the 'Frames' attribute.

  See Also:
    Constant Field Values

### EXECUTION_ERROR_FEATURE_COUNT

    static final int EXECUTION_ERROR_FEATURE_COUNT

  The number of structural features of the 'Execution Error' class.

  See Also:
    Constant Field Values

Method Detail

### getProfilingInstruction

    org.eclipse.emf.ecore.EClass getProfilingInstruction()

  Returns the meta object for class '`Profiling Instruction`'.

  Returns:
    the meta object for class 'Profiling Instruction'.
  See Also:
    `ProfilingInstruction`

### getProfilingInstruction_LaunchedTime

    org.eclipse.emf.ecore.EAttribute getProfilingInstruction_LaunchedTime()

  Returns the meta object for the attribute '`Launched Time`'.

  Returns:
    the meta object for the attribute 'Launched Time'.
  See Also:
    `ProfilingInstruction.getLaunchedTime()`, `getProfilingInstruction()`

### getProfilingInstruction_StackFrames

    org.eclipse.emf.ecore.EAttribute getProfilingInstruction_StackFrames()

  Returns the meta object for the attribute list '`Stack Frames`'.

  Returns:
    the meta object for the attribute list 'Stack Frames'.
  See Also:
    `ProfilingInstruction.getStackFrames()`, `getProfilingInstruction()`

### getProfilingInstruction_ParentOperation

    org.eclipse.emf.ecore.EReference getProfilingInstruction_ParentOperation()

  Returns the meta object for the reference '`Parent Operation`'.

  Returns:
    the meta object for the reference 'Parent Operation'.
  See Also:
    `ProfilingInstruction.getParentOperation()`, `getProfilingInstruction()`

### getProfilingInstruction_InstructionID

    org.eclipse.emf.ecore.EAttribute getProfilingInstruction_InstructionID()

  Returns the meta object for the attribute '`Instruction ID`'.

  Returns:
    the meta object for the attribute 'Instruction ID'.
  See Also:
    `ProfilingInstruction.getInstructionID()`, `getProfilingInstruction()`

### getProfilingInstruction_AtlInstruction

    org.eclipse.emf.ecore.EReference getProfilingInstruction_AtlInstruction()

  Returns the meta object for the reference '`Atl Instruction`'.

  Returns:
    the meta object for the reference 'Atl Instruction'.
  See Also:
    `ProfilingInstruction.getAtlInstruction()`, `getProfilingInstruction()`

### getProfilingInstruction_Content

    org.eclipse.emf.ecore.EAttribute getProfilingInstruction_Content()

  Returns the meta object for the attribute '`Content`'.

  Returns:
    the meta object for the attribute 'Content'.
  See Also:
    `ProfilingInstruction.getContent()`, `getProfilingInstruction()`

### getProfilingInstruction_LaunchedMemoryUsage

    org.eclipse.emf.ecore.EAttribute getProfilingInstruction_LaunchedMemoryUsage()

  Returns the meta object for the attribute '`Launched Memory Usage`'.

  Returns:
    the meta object for the attribute 'Launched Memory Usage'.
  See Also:
    `ProfilingInstruction.getLaunchedMemoryUsage()`, `getProfilingInstruction()`

### getProfilingInstruction_HasError

    org.eclipse.emf.ecore.EAttribute getProfilingInstruction_HasError()

  Returns the meta object for the attribute '`Has Error`'.

  Returns:
    the meta object for the attribute 'Has Error'.
  See Also:
    `ProfilingInstruction.isHasError()`, `getProfilingInstruction()`

### getProfilingOperation

    org.eclipse.emf.ecore.EClass getProfilingOperation()

  Returns the meta object for class '`Profiling Operation`'.

  Returns:
    the meta object for class 'Profiling Operation'.
  See Also:
    `ProfilingOperation`

### getProfilingOperation_EndTime

    org.eclipse.emf.ecore.EAttribute getProfilingOperation_EndTime()

  Returns the meta object for the attribute '`End Time`'.

  Returns:
    the meta object for the attribute 'End Time'.
  See Also:
    `ProfilingOperation.getEndTime()`, `getProfilingOperation()`

### getProfilingOperation_TotalExecutedInstructions

    org.eclipse.emf.ecore.EAttribute getProfilingOperation_TotalExecutedInstructions()

  Returns the meta object for the attribute '`Total Executed Instructions`'.

  Returns:
    the meta object for the attribute 'Total Executed Instructions'.
  See Also:
    `ProfilingOperation.getTotalExecutedInstructions()`, `getProfilingOperation()`

### getProfilingOperation_ExecutionInstructions

    org.eclipse.emf.ecore.EReference getProfilingOperation_ExecutionInstructions()

  Returns the meta object for the containment reference list '`Execution Instructions`'.

  Returns:
    the meta object for the containment reference list 'Execution Instructions'.
  See Also:
    `ProfilingOperation.getExecutionInstructions()`, `getProfilingOperation()`

### getProfilingOperation_EndMemoryUsage

    org.eclipse.emf.ecore.EAttribute getProfilingOperation_EndMemoryUsage()

  Returns the meta object for the attribute '`End Memory Usage`'.

  Returns:
    the meta object for the attribute 'End Memory Usage'.
  See Also:
    `ProfilingOperation.getEndMemoryUsage()`, `getProfilingOperation()`

### getProfilingOperation_Context

    org.eclipse.emf.ecore.EReference getProfilingOperation_Context()

  Returns the meta object for the containment reference list '`Context`'.

  Returns:
    the meta object for the containment reference list 'Context'.
  See Also:
    `ProfilingOperation.getContext()`, `getProfilingOperation()`

### getProfilingOperation_MaxMemoryUsage

    org.eclipse.emf.ecore.EAttribute getProfilingOperation_MaxMemoryUsage()

  Returns the meta object for the attribute '`Max Memory Usage`'.

  Returns:
    the meta object for the attribute 'Max Memory Usage'.
  See Also:
    `ProfilingOperation.getMaxMemoryUsage()`, `getProfilingOperation()`

### getProfilingOperation_MatchingOperation

    org.eclipse.emf.ecore.EAttribute getProfilingOperation_MatchingOperation()

  Returns the meta object for the attribute '`Matching Operation`'.

  Returns:
    the meta object for the attribute 'Matching Operation'.
  See Also:
    `ProfilingOperation.isMatchingOperation()`, `getProfilingOperation()`

### getProfilingOperation_ExecutionErrors

    org.eclipse.emf.ecore.EReference getProfilingOperation_ExecutionErrors()

  Returns the meta object for the containment reference list '`Execution Errors`'.

  Returns:
    the meta object for the containment reference list 'Execution Errors'.
  See Also:
    `ProfilingOperation.getExecutionErrors()`, `getProfilingOperation()`

### getProfilingModel

    org.eclipse.emf.ecore.EClass getProfilingModel()

  Returns the meta object for class '`Profiling Model`'.

  Returns:
    the meta object for class 'Profiling Model'.
  See Also:
    `ProfilingModel`

### getProfilingModel_ModelName

    org.eclipse.emf.ecore.EAttribute getProfilingModel_ModelName()

  Returns the meta object for the attribute '`Model Name`'.

  Returns:
    the meta object for the attribute 'Model Name'.
  See Also:
    `ProfilingModel.getModelName()`, `getProfilingModel()`

### getATLOperation

    org.eclipse.emf.ecore.EClass getATLOperation()

  Returns the meta object for class '`ATL Operation`'.

  Returns:
    the meta object for class 'ATL Operation'.
  See Also:
    `ATLOperation`

### getATLOperation_Calls

    org.eclipse.emf.ecore.EAttribute getATLOperation_Calls()

  Returns the meta object for the attribute '`Calls`'.

  Returns:
    the meta object for the attribute 'Calls'.
  See Also:
    `ATLOperation.getCalls()`, `getATLOperation()`

### getATLInstruction

    org.eclipse.emf.ecore.EClass getATLInstruction()

  Returns the meta object for class '`ATL Instruction`'.

  Returns:
    the meta object for class 'ATL Instruction'.
  See Also:
    `ATLInstruction`

### getATLInstruction_ATLElementRef

    org.eclipse.emf.ecore.EAttribute getATLInstruction_ATLElementRef()

  Returns the meta object for the attribute '`ATL Element Ref`'.

  Returns:
    the meta object for the attribute 'ATL Element Ref'.
  See Also:
    `ATLInstruction.getATLElementRef()`, `getATLInstruction()`

### getATLInstruction_Name

    org.eclipse.emf.ecore.EAttribute getATLInstruction_Name()

  Returns the meta object for the attribute '`Name`'.

  Returns:
    the meta object for the attribute 'Name'.
  See Also:
    `ATLInstruction.getName()`, `getATLInstruction()`

### getATLInstruction_ProfilingInstructions

    org.eclipse.emf.ecore.EReference getATLInstruction_ProfilingInstructions()

  Returns the meta object for the reference list '`Profiling Instructions`'.

  Returns:
    the meta object for the reference list 'Profiling Instructions'.
  See Also:
    `ATLInstruction.getProfilingInstructions()`, `getATLInstruction()`

### getContext

    org.eclipse.emf.ecore.EClass getContext()

  Returns the meta object for class '`Context`'.

  Returns:
    the meta object for class 'Context'.
  See Also:
    `Context`

### getContext_Content

    org.eclipse.emf.ecore.EAttribute getContext_Content()

  Returns the meta object for the attribute '`Content`'.

  Returns:
    the meta object for the attribute 'Content'.
  See Also:
    `Context.getContent()`, `getContext()`

### getExecutionError

    org.eclipse.emf.ecore.EClass getExecutionError()

  Returns the meta object for class '`Execution Error`'.

  Returns:
    the meta object for class 'Execution Error'.
  See Also:
    `ExecutionError`

### getExecutionError_Message

    org.eclipse.emf.ecore.EAttribute getExecutionError_Message()

  Returns the meta object for the attribute '`Message`'.

  Returns:
    the meta object for the attribute 'Message'.
  See Also:
    `ExecutionError.getMessage()`, `getExecutionError()`

### getExecutionError_Error

    org.eclipse.emf.ecore.EAttribute getExecutionError_Error()

  Returns the meta object for the attribute '`Error`'.

  Returns:
    the meta object for the attribute 'Error'.
  See Also:
    `ExecutionError.getError()`, `getExecutionError()`

### getExecutionError_Frames

    org.eclipse.emf.ecore.EAttribute getExecutionError_Frames()

  Returns the meta object for the attribute '`Frames`'.

  Returns:
    the meta object for the attribute 'Frames'.
  See Also:
    `ExecutionError.getFrames()`, `getExecutionError()`

### getModelFactory

    ModelFactory getModelFactory()

  Returns the factory that creates the instances of the model.

  Returns:
    the factory that creates the instances of the model.

Copyright 2007 IBM Corporation and others. All Rights Reserved.